CURLINFO_CONTENT_LENGTH_UPLOAD(3)

NAME
CURLINFO_CONTENT_LENGTH_UPLOAD - receive the specified size of the upload

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONTENT_LENGTH_UPLOAD,
                        double *content_length);

DESCRIPTION
Pass a pointer to a double to receive the specified size of the upload. Since 7.19.4, this returns -1 if the size isn't known.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.6.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),